Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002187KdenliveFile Loadingpublic2011-06-24 17:002011-11-01 18:56
Reporterigloo 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformamd64OSDebianOS Versionunstable
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002187: When transitions are moved, they forget what track they are associated with
DescriptionWhen transitions are moved, they forget what track they are associated with.

I have r5724.
Steps To ReproduceStart kdenlive.

Add a red colour clip.

Add a green colour clip.

Put the red clip at the start of video 1 in the timeline.

Put the green clip about 3 seconds into video 3 in the timeline.

Click the corner of the red clip to put a transition in, and then set its "with track" to be video 3. The dissolve should work properly at this point.

Save as transition_changes_target.kdenlive

Quit kdenlive.

Run "kdenlive transition_changes_target.kdenlive".

Select the transition. Note that it now claims to work with track "Auto". The dissolve still works properly at this point.

Select all 3 items (both clips and the transition) and move them right a few seconds.

The transition still claims to with track "Auto", but the dissolve no longer works. I assume that it is now trying to dissolve to video 2.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0006944)
j-b-m (administrator)
2011-06-24 19:17

Should be fixed in svn rev. 5727

- Issue History
Date Modified Username Field Change
2011-06-24 17:00 igloo New Issue
2011-06-24 19:17 j-b-m Note Added: 0006944
2011-06-24 19:17 j-b-m Assigned To => j-b-m
2011-06-24 19:17 j-b-m Status new => feedback
2011-07-05 13:20 j-b-m Status feedback => resolved
2011-07-05 13:20 j-b-m Fixed in Version => 0.8.2
2011-07-05 13:20 j-b-m Resolution open => fixed
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker